/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors.
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The monitor result for a specific execution.
 */
export interface MonitorResult {
    /**
     * Type of result.
     * Example: HAR, Screenshot or Log.
     *
     */
    "resultType"?: string;
    /**
     * Type of result content.
     * Example: Zip or Raw file.
     *
     */
    "resultContentType": string;
    /**
     * Monitor result data set.
     */
    "resultDataSet"?: Array<model.MonitorResultData>;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the monitor.
     */
    "monitorId"?: string;
    /**
     * The name of the vantage point.
     */
    "vantagePoint"?: string;
    /**
     * The specific point of time when the result of an execution is collected.
     */
    "executionTime"?: string;
}
export declare namespace MonitorResult {
    function getJsonObj(obj: MonitorResult): object;
    function getDeserializedJsonObj(obj: MonitorResult): object;
}
