/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.0.1/apmtraces/QueryOld.ts.html |here} to see how to use QueryOldRequest.
 */
export interface QueryOldRequest extends common.BaseRequest {
    /**
     * The APM Domain Id the request is intended for.
     *
     */
    "apmDomainId": string;
    /**
     * Include spans that have a `spanStartTime` equal to or greater this value.
     *
     */
    "timeSpanStartedGreaterThanOrEqualTo": Date;
    /**
     * Include spans that have a `spanStartTime`less than this value.
     *
     */
    "timeSpanStartedLessThan": Date;
    /**
     * Request body containing the query to be run against our repository.
     *
     */
    "queryDetails": model.QueryDetails;
    /**
     * Unique Oracle-assigned identifier for the request.  If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * The maximum number of items to return.
     *
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results.
     * This is usually retrieved from a previous response.
     *
     */
    "page"?: string;
}
