/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The response containing the CPU, Wait, DB Time, and Memory metrics
 * for a specific Oracle Real Application Clusters (Oracle RAC) database
 * instance.
 *
 */
export interface DatabaseInstanceHomeMetricsDefinition {
    /**
     * The name of the Oracle Real Application Clusters (Oracle RAC)
     * database instance to which the corresponding metrics belong.
     *
     */
    "instanceName": string;
    /**
     * The number of Oracle Real Application Clusters (Oracle RAC)
     * database instance to which the corresponding metrics belong.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceNumber": number;
    /**
     * A list of the active session metrics for CPU and Wait time for
     * a specific Oracle Real Application Clusters (Oracle RAC)
     * database instance.
     *
     */
    "activityTimeSeriesMetrics": Array<model.ActivityTimeSeriesMetrics>;
    "dbTimeAggregateMetrics": model.DatabaseTimeAggregateMetrics;
    "ioAggregateMetrics": model.DatabaseIOAggregateMetrics;
    "memoryAggregateMetrics": model.MemoryAggregateMetrics;
}
export declare namespace DatabaseInstanceHomeMetricsDefinition {
    function getJsonObj(obj: DatabaseInstanceHomeMetricsDefinition): object;
    function getDeserializedJsonObj(obj: DatabaseInstanceHomeMetricsDefinition): object;
}
