/**
 * Java Management Service Query API
 * API for the Java Management Service. Use this API to view and manage Fleets.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Parameters for filtering Java Runtime Usages.
 */
export interface RequestSummarizedJreUsageDetails {
    /**
     * The start of the time period during which resources are searched (formatted according to RFC3339). Defaults to current time minus seven days.
     *
     */
    "timeStart"?: Date;
    /**
     * The end of the time period during which resources are searched (formatted according to RFC3339). Defaults to current time.
     *
     */
    "timeEnd"?: Date;
    /**
     * The vendor of the Java Runtime.
     */
    "jreVendor"?: string;
    /**
     * The distribution of the Java Runtime.
     */
    "jreDistribution"?: string;
    /**
     * The version of the Java Runtime.
     */
    "jreVersion"?: string;
    /**
     * The ID of the related application.
     */
    "applicationId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the related managed instance.
     */
    "managedInstanceId"?: string;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort Java Runtime views. Only one sort order may be provided.
     * Default order for _timeFirstSeen_, _timeLastSeen_, _version_, _approximateInstallationCount_,
     * _approximateApplicationCount_ and _approximateManagedInstanceCount_  is **descending**.
     * Default order for _distribution_ and _vendor_ is **ascending**. If no value is specified _timeLastSeen_ is default.
     *
     */
    "sortBy"?: model.JreSortBy;
    /**
     * Additional fields to include into the returned model on top of the required ones.
     * This parameter can also include 'approximateApplicationCount', 'approximateInstallationCount' and 'approximateManagedInstanceCount'.
     * For example 'approximateApplicationCount,approximateManagedInstanceCount'.
     *
     */
    "fields"?: Array<model.SummarizeJreUsageFields>;
}
export declare namespace RequestSummarizedJreUsageDetails {
    function getJsonObj(obj: RequestSummarizedJreUsageDetails): object;
    function getDeserializedJsonObj(obj: RequestSummarizedJreUsageDetails): object;
}
