/**
 * Cloud Advisor API
 * APIs for managing Cloud Advisor. Cloud Advisor provides recommendations that help you maximize cost savings and improve the security posture of your tenancy.
 * OpenAPI spec version: 20200606
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The metadata associated with the strategy. The strategy is the method used to apply the recommendation.
 *
 */
export interface Strategy {
    /**
     * The name of the strategy.
     */
    "strategyName": string;
    /**
     * Whether this is the default recommendation strategy.
     */
    "isDefault": boolean;
    /**
     * The list of strategies for the parameters.
     */
    "parametersDefinition"?: Array<model.StrategyParameter>;
}
export declare namespace Strategy {
    function getJsonObj(obj: Strategy): object;
    function getDeserializedJsonObj(obj: Strategy): object;
}
